## pure-tk-0.5.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-tk-$(version)
version = 0.5

# compiler flags -- these can be overridden from the command line if needed,
# as well as CPPFLAGS, LDFLAGS and LIBS
CFLAGS = -O3
#CFLAGS = -g -O2

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

prefix      = $(shell pkg-config pure --variable prefix)
bindir      = $(prefix)/bin
libdir      = $(shell pkg-config pure --variable libdir)

ifeq ($(DLL),.dylib)
dllname = -install_name "$(libdir)/pure/$@"
endif

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS) $(LIBS)

# Try to guess the Tcl version.
tclvers = $(shell echo 'puts $$tcl_version' | tclsh)
ifeq ($(strip $(tclvers)),)
tclvers = 8.5
endif

# Try to figure out where the Tcl/Tk includes and libraries are.
tk_includes = $(shell pkg-config tcl --cflags-only-I 2>/dev/null)
tk_libs = $(shell pkg-config tcl --libs-only-L 2>/dev/null)

MOD_CFLAGS += $(tk_includes)
MOD_LDFLAGS += $(tk_libs)

DISTFILES = COPYING Makefile README tk.c tk.pure gnocl.pure \
debian/* examples/Makefile examples/*.pure examples/*.tcl examples/*.glade
SEDFILES = README

all: tk$(DLL)

tk$(DLL): tk.c
	$(CC) $(shared) $(dllname) -o $@ -Wall $(MOD_CFLAGS) $< $(MOD_LDFLAGS) -ltcl$(tclvers) -ltk$(tclvers)

clean:
	rm -f *$(DLL) *~ *.a *.o

install:
	test -d "$(DESTDIR)$(libdir)/pure" || mkdir -p "$(DESTDIR)$(libdir)/pure"
	cp gnocl.pure tk.pure tk$(DLL) "$(DESTDIR)$(libdir)/pure"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/pure/gnocl.pure" "$(DESTDIR)$(libdir)/pure/tk.pure" "$(DESTDIR)$(libdir)/pure/tk$(DLL)"

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/examples
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://bitbucket.org/purelang/pure-lang/downloads/$(dist).tar.gz -O $@

=== debian/changelog ===
pure-tk (0.4-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:47:14 +0200

pure-tk (0.3-4) precise; urgency=low

  * Gnocl 0.9.96 compatibility

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 29 Jan 2013 10:04:16 +0100

pure-tk (0.3-3) precise; urgency=low

  * Upstream fixes (linker issues, Tcl interpreter return values)

 -- Albert Graef <Dr.Graef@t-online.de>  Fri, 18 Jan 2013 15:27:44 +0100

pure-tk (0.3-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 27 May 2012 00:19:36 +0200

pure-tk (0.3-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 22:02:19 +0200

=== debian/control ===
Source: pure-tk
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, tcl8.5-dev, tk8.5-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-tk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pure-gtk
Description: Tcl/Tk interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a basic interface between Pure and Tcl/Tk,
 the cross-platform GUI toolkit based on the Tcl scripting language.
 .
 The operations of this module allow you to execute arbitrary commands in the
 Tcl interpreter, set and retrieve variable values in the interpreter, and
 invoke Pure callbacks from Tcl/Tk. An interface to Peter G. Baum's Gnocl
 extension is also provided, which turns Tcl into a frontend for GTK+ and
 Gnome.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_compress:
	dh_compress -X.pure -X.tcl -X.glade

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/pure-tk-(.*)\.tar\.gz
